org.apache.hive.jdbc.saml

## Class HttpSamlAuthRequestInterceptor

- java.lang.Object
- - org.apache.hive.jdbc.HttpRequestInterceptorBase
  - - org.apache.hive.jdbc.saml.HttpSamlAuthRequestInterceptor

All Implemented Interfaces:
  org.apache.http.HttpRequestInterceptor

    public class HttpSamlAuthRequestInterceptor
    extends HttpRequestInterceptorBase

This implements the logic to intercept the HTTP requests from the Hive Jdbc connection and add the bearer token and client identifier to the headers from the underlying `IJdbcBrowserClient`.

### Constructor Summary

Constructors
Constructor and Description
`HttpSamlAuthRequestInterceptor(IJdbcBrowserClient browserClient, org.apache.http.client.CookieStore cookieStore, String cn, boolean isSSL, Map<String,String> additionalHeaders, Map<String,String> customCookies)`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `addHttpAuthHeader(org.apache.http.HttpRequest httpRequest, org.apache.http.protocol.HttpContext httpContext)`

### Methods inherited from class org.apache.hive.jdbc.HttpRequestInterceptorBase

`process`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### HttpSamlAuthRequestInterceptor

    public HttpSamlAuthRequestInterceptor(IJdbcBrowserClient browserClient,
                                          org.apache.http.client.CookieStore cookieStore,
                                          String cn,
                                          boolean isSSL,
                                          Map<String,String> additionalHeaders,
                                          Map<String,String> customCookies)

### Method Detail

#### addHttpAuthHeader

    protected void addHttpAuthHeader(org.apache.http.HttpRequest httpRequest,
                                     org.apache.http.protocol.HttpContext httpContext)
                              throws Exception

Specified by:
  `addHttpAuthHeader` in class `HttpRequestInterceptorBase`
Throws:
  `Exception`